Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154430 - (x|y|z)modem support broken in minicom
Summary: (x|y|z)modem support broken in minicom
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: minicom
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 17:11 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-11-16 12:54:46 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-04-11 17:11:06 UTC
Description of problem:

As shipped in RHEL3, minicom has menu items for xmodem/ymodem/zmodem support,
but relies on the lrzsz package for the actual implementation of these
protocols.  Since RHEL3 did not ship lrzsz, these menu items are broken, and
make it impossible to perform basic tasks like network switch/router recovery
using RHEL3's shipped minicom.

Version-Release number of selected component (if applicable):

minicom-2.00.0-17.1

How reproducible:

100%

Steps to Reproduce:
1. Attempt to perform a xmodem/ymodem/zmodem upload using the menus in minicom
2. Observe that minicom attempts to shell to a missing external program
3. Watch the upload time out since there was no actual transmission performed
  
Actual results:

Failed xmodem/ymodem/zmodem upload or download.

Expected results:

Successful xmodem/ymodem/zmodem upload or download.

Additional info:

This is easily fixed by installing lrzsz.  A complete fix would be to add lrzsz
as an enhancement for RHEL3, and make lrzsz a requirement in the minicom RPM
spec file so that it will not be overlooked in future releases.


Note You need to log in before you can comment on or make changes to this bug.